#### D.8.3.7 hilbvec

Procedure from library `presolve.lib` (see presolve_lib).

Usage:
  hilbvec(id[,c,o]); id=poly/ideal/vector/module/matrix, c,o=strings,
  c=char, o=ordering used by `hilb` (default: c="32003", o="dp")

Return:
  bigintvec of 1st Hilbert-series of id, computed in char c and ordering o

Note:
  id must be homogeneous (i.e. all vars have weight 1)

Example:

    LIB "presolve.lib";
    ring s   = 0,(e,f,x,y,z,t,u,v,w,a,b,c,d,H),dp;
    ideal id = w2+f2-1, x2+t2+a2-1,  y2+u2+b2-1, z2+v2+c2-1,
    d2+e2-1, f4+2u, wa+tf, xy+tu+ab;
    id = homog(id,H);
    hilbvec(id);
    ==> 1,0,-7,0,20,0,-28,0,14,0,14,0,-28,0,20,0,-7,0,1,0

User manual for Singular version 4.4.1, 2025, generated by texi2html.